<html lang="fr" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" th:replace="~{commons/layout/default(scripts=~{::scripts}, links=~{::links}, breadcrumbs=~{::breadcrumbs}, globalContent=~{::globalContent})}">
<head>
<th:block th:fragment="links">
</th:block>
<th:block th:fragment="scripts">
	<script th:src="@{/js/app/email/wysiwyg.js}"></script>
    <script th:src="@{/js/app/file/upload.js}"></script>
    <script th:src="@{/js/app/form/validate.js}"></script>
</th:block>
</head>
<body>
 	<div th:fragment="globalContent">
        <div id="breadcrumbs">
            <ol id="breadcrumbs" class="breadcrumb">
	            <li><a th:href="${@appProperties.getProperty('frontUrl')}" th:text="#{Home}"></a></li>
	            <li><a th:href="${@appProperties.getProperty('ui.dashboard.url')}" th:text="#{My records}"></a></li>
	        </ol>
	    </div>
		<div class="row">
	    	<div class="col-md-12">
                <form name="record" th:action="@{/email/send}" method="post" enctype="multipart/form-data" novalidate>
                    <div class="panel panel-primary">
						<div class="panel-heading">
							<h3 class="panel-title">
							    <span th:text="#{Sending an email}"></span>
							 </h3>
						</div>
						<div class="panel-body-container">
							<div class="panel-body">
								<div class="form-group">
									<div>
										<div>
											<div class="col-md-12">
												<div class="form-group">
													<div class="field-label">
														<label class="col-sm-2 mandatory" for="sender"><span th:text="#{From}"></span></label>
													</div>
													<div class="col-sm-8">
														<input type="email" class="form-control" name="sender" maxlength="100" th:value="${emailSend.sender}" disabled data-parsley-required="true">
												  	</div>
												  	<a href="#" class="btn btn-help btn-md" data-toggle="modal" data-target="#modalSender"><i class="fa fa-question-circle"></i></a>
												</div>
											</div>
											<div class="col-md-12"><br></div>
											<div class="col-md-12">
												<div class="form-group">
													<div class="field-label">
														<label class="col-sm-2 mandatory" for="recipient"><span th:text="#{To}"></span></label>
													</div>
													<div class="col-sm-8">
														<input type="email" class="form-control" name="recipient"  multiple th:value="${emailSend.recipient}" data-parsley-required="true">
												  	</div>
												  	<a href="#" class="btn btn-help btn-md" data-toggle="modal" data-target="#modalRecipient"><i class="fa fa-question-circle"></i></a>
												</div>
											</div>
											<div class="col-md-12"><br></div>
											<div class="col-md-12">
												<div class="form-group">
													<div class="field-label">
														<label class="col-sm-2 mandatory" for="object"><span th:text="#{Object}"></span></label>
													</div>
													<div class="col-sm-8">
														<input type="text" class="form-control" name="object" maxlength="100"  th:value="${emailSend.object}" data-parsley-required="true">
												  	</div>
												  	<a href="#" class="btn btn-help btn-md" data-toggle="modal" data-target="#modalObject"><i class="fa fa-question-circle"></i></a>
												</div>
											</div>
											<div class="col-md-12"><br></div>
											<div class="col-md-12">
												<div class="form-group">
													<div class="field-label">
														<label class="col-sm-2 mandatory" for="attachmentPDF"><span th:text="#{PDF}"></span></label>
													</div>
													<div class="col-sm-8">
						                            	<input type="file" name="file" data-toggle="file" data-remove="no" data-upload="no" data-auto-upload="no" th:required="required" />
												  	</div>
												  	<a href="#" class="btn btn-help btn-md" data-toggle="modal" data-target="#modalAttachment"><i class="fa fa-question-circle"></i></a>
												</div>
											</div>
											<div class="col-md-12"><br></div>
											<div class="col-md-12">
												<div class="form-group">
													<div class="field-label">
														<label class="col-sm-2 mandatory" for="emailContent"><span th:text="#{Message}"></span></label>
													</div>
													<div class="col-sm-8">
														<textarea id="summernote" name="content" class="summernote"  th:field="${emailSend.content}" data-parsley-required="true"></textarea>
													</div>
												  	<a href="#" class="btn btn-help btn-md" data-toggle="modal" data-target="#modalContent"><i class="fa fa-question-circle"></i></a>
												</div>
											</div>
											<div class="col-md-12"><br></div>
											<div class="col-md-12">
												<div class="form-group">
													<div class="field-label">
														<label class="col-sm-2 mandatory" for="emailContent"><span th:text="#{Template}"></span></label>
													</div>
													<div class="col-sm-8">
														<select id="templateKey" name="templateKey" th:field="${emailSend.templateKey}" >
															<option th:each="templateEmail : ${templateEmailList}"
																th:value="${templateEmail.key}"
																th:text="#{${templateEmail.value}}"></option>
														</select>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
                    <div class="row submit-buttons">
                        <div class="col-md-12">
                            <button class="btn btn-primary"><i class="glyphicon"></i>&nbsp;<span th:remove="tag" th:text="#{Send}"></span></button>
                        </div>
                    </div>
                    
					<!-- Modal Senders -->
					<div class="modal fade" id="modalSender" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
						<div class="modal-dialog" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
									<h4 class="modal-title" id="myModalLabel"><span th:text="#{Information}"></span></h4>
						  		</div>
						  		<div class="modal-body">
									<span th:text="#{The sender email is required}"></span>
						  		</div>
						  		<div class="modal-footer">
									<button type="button" class="btn btn-default" data-dismiss="modal"><span th:text="#{Close}"></span></button>
						  		</div>
							</div>
					  	</div>
					</div>
					
					<!-- Modal Recipients -->
					<div class="modal fade" id="modalRecipient" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
						<div class="modal-dialog" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
									<h4 class="modal-title" id="myModalLabel"><span th:text="#{Information}"></span></h4>
								</div>
								<div class="modal-body">
									<span th:text="#{The recipient email address is required}"></span>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-default" data-dismiss="modal"><span th:text="#{Close}"></span></button>
								</div>
							</div>
						</div>
					</div>
					
					<!-- Modal Object -->
					<div class="modal fade" id="modalObject" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
						<div class="modal-dialog" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
									<h4 class="modal-title" id="myModalLabel"><span th:text="#{Information}"></span></h4>
								</div>
								<div class="modal-body">
									<span th:text="#{The email object is required}"></span>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-default" data-dismiss="modal"><span th:text="#{Close}"></span></button>
								</div>
							</div>
						</div>
					</div>
					
					<!-- Modal attachment PDF -->
					<div class="modal fade" id="modalAttachment" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
						<div class="modal-dialog" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
									<h4 class="modal-title" id="myModalLabel"><span th:text="#{Information}"></span></h4>
								</div>
								<div class="modal-body">
									<span th:text="#{The PDF attachment is required}"></span>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-default" data-dismiss="modal"><span th:text="#{Close}"></span></button>
								</div>
							</div>
						</div>
					</div>
					
					<!-- Modal Object -->
					<div class="modal fade" id="modalContent" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
						<div class="modal-dialog" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
									<h4 class="modal-title" id="myModalLabel"><span th:text="#{Information}"></span></h4>
								</div>
								<div class="modal-body">
									<span th:text="#{The email content is required}"></span>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-default" data-dismiss="modal"><span th:text="#{Close}"></span></button>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</body>
</html>